Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.datatype
Class Sequence3D

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  jprotein.data.datatype.Sequence
                      jprotein.data.datatype.Sequence3D

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class Sequence3D

extends Sequence

See Also:
  Serialized Form

Field Summary
`static int` | `DIRECT`
`static int` | `INDEXED`

Constructor Summary
`Sequence3D()`
`Sequence3D(java.lang.String sequenceHeader, java.lang.String chainId)`

Method Summary
`void` | `addResidue(Residue3D residue)`
`void` | `addResidue(java.lang.String residueCode)`
`java.lang.String` | `getChainId()`
`java.lang.String` | `getHeader()`
`Residue3D` | `getResidue(int index, int mode)`
`int` | `getSequenceBegin()`
`int` | `getSequenceLength()`
`void` | `setChainId(java.lang.String chainId)`
`void` | `setHeader(java.lang.String header)`
`void` | `setSequenceBegin(int sequenceOffset)`

Methods inherited from class jprotein.data.datatype.Sequence
`equals, getNonGappedPosition, getNonGappedSequenceLength, getResidue, getSequence, getSequenceName, isIdentical, setSequence, setSequenceName, toFasta, toString`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Field Detail

### DIRECT

    public static final int DIRECT

See Also:
  Constant Field Values

### INDEXED

    public static final int INDEXED

See Also:
  Constant Field Values

Constructor Detail

### Sequence3D

    public Sequence3D()

### Sequence3D

    public Sequence3D(java.lang.String sequenceHeader,
                      java.lang.String chainId)

Method Detail

### getChainId

    public java.lang.String getChainId()

### setChainId

    public void setChainId(java.lang.String chainId)

### setSequenceBegin

    public void setSequenceBegin(int sequenceOffset)

### getSequenceBegin

    public int getSequenceBegin()

### addResidue

    public void addResidue(java.lang.String residueCode)

### addResidue

    public void addResidue(Residue3D residue)

### getResidue

    public Residue3D getResidue(int index,
                                int mode)

### getSequenceLength

    public int getSequenceLength()

  Overrides:
    `getSequenceLength` in class `Sequence`

### getHeader

    public java.lang.String getHeader()

### setHeader

    public void setHeader(java.lang.String header)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD